export function prepareFlags<Flags extends Record<string, AnyFlag>>(flags: Flags): Readonly<Flags>;
export const defaultFlags: Readonly<{
    help: "Print this help and exits.";
    version: "Prints current version and exits.";
}>;
export type FlagExtensions = {
    listGroup?: string;
    description: string;
};
export type Flag<Type extends import("meow").FlagType, Default, IsMultiple extends boolean = false> = import('meow').Flag<Type, Default, IsMultiple> & FlagExtensions;
export type StringFlag = Flag<'string', string> | Flag<'string', string[], true>;
export type BooleanFlag = Flag<'boolean', boolean> | Flag<'boolean', boolean[], true>;
export type NumberFlag = Flag<'number', number> | Flag<'number', number[], true>;
export type AnyFlag = StringFlag | BooleanFlag | NumberFlag;
export type AnyFlags = Record<string, AnyFlag>;
//# sourceMappingURL=flags.d.ts.map